← Standen

Scotland

West Region League Division 3

#TeamPWDLPDBPPtsVorm
1Clydebank RFC7511+220628WWDLW
2Paisley RFC4400+202420WWWW
3Moffat RFC5311+83317WWDL
4Waysiders/Drumpellier RFC5203+18311LLWW
5Glasgow University Medics2200+4327WW
6Hyndland RFC4103-4415WLLL
7Clydesdale RFC5104-30710LLLLW
8Isle of Mull RFC4004-18010LLLL
9Isle of Arran RFC2002-3500LL

Bron: Scottish Rugby · gecontroleerd 18 okt, 16:20 · Vorm: de laatste vijf uitslagen die we hebben, de nieuwste rechts.

Wedstrijden & uitslagen →

Elke stand is de stand zoals de competitie die zelf publiceert, met bonuspunten, puntenaftrek en beslissingsregels. BP staat er waar de competitie het publiceert; elders zit het al in Pts.